package com.mortals.xhx.module.model.web;

import com.mortals.framework.exception.AppException;
import com.mortals.framework.model.Context;
import com.mortals.framework.model.OrderCol;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.framework.web.BasePhpCRUDJsonMappingController;
import com.mortals.xhx.base.system.param.service.ParamService;
import com.mortals.xhx.module.model.model.ModelEntity;
import com.mortals.xhx.module.model.model.ModelQuery;
import com.mortals.xhx.module.model.service.ModelService;
import com.mortals.xhx.module.window.model.WindowMatterEntity;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.ArrayList;
import java.util.Map;

/**
 * 模块
 *
 * @author zxfei
 * @date 2022-01-20
 */
@RestController
@RequestMapping("model")
public class ModelController extends BaseCRUDJsonBodyMappingController<ModelService, ModelEntity, Long> {

    @Autowired
    private ParamService paramService;

    public ModelController() {
        super.setFormClass(ModelForm.class);
        super.setModuleDesc("模块");
    }


    @Override
    protected void doListBefore(ModelEntity query, Map<String, Object> model, Context context) throws AppException {
        query.setOrderColList(new ArrayList<OrderCol>() {
            {
                add(new OrderCol("a.sort", OrderCol.ASCENDING));
            }
        });
        super.doListBefore(query, model, context);
    }

    @Override
    protected void init(Map<String, Object> model, Context context) {
        super.init(model, context);
    }


}